# OsiSolverInterface::ApplyCutsReturnCode Class Reference

Internal class for obtaining status from the applyCuts method. More...

`#include <OsiSolverInterface.hpp>`

List of all members.

## Public Member Functions
Constructors and desctructors
| ApplyCutsReturnCode ()
| Default constructor.
| ApplyCutsReturnCode (const ApplyCutsReturnCode &rhs)
| Copy constructor.
ApplyCutsReturnCode & | operator= (const ApplyCutsReturnCode &rhs)
| Assignment operator.
| ~ApplyCutsReturnCode ()
| Destructor.
Accessing return code attributes
int | getNumInconsistent () const
| Number of logically inconsistent cuts.
int | getNumInconsistentWrtIntegerModel () const
| Number of cuts inconsistent with the current model.
int | getNumInfeasible () const
| Number of cuts that cause obvious infeasibility.
int | getNumIneffective () const
| Number of redundant or ineffective cuts.
int | getNumApplied () const
| Number of cuts applied.
## Private Member Functions
Private methods
void | incrementInternallyInconsistent ()
| Increment logically inconsistent cut counter.
void | incrementExternallyInconsistent ()
| Increment model-inconsistent counter.
void | incrementInfeasible ()
| Increment infeasible cut counter.
void | incrementIneffective ()
| Increment ineffective cut counter.
void | incrementApplied ()
| Increment applied cut counter.
## Private Attributes
Private member data
int | intInconsistent_
| Counter for logically inconsistent cuts.
int | extInconsistent_
| Counter for model-inconsistent cuts.
int | infeasible_
| Counter for infeasible cuts.
int | ineffective_
| Counter for ineffective cuts.
int | applied_
| Counter for applied cuts.
## Friends
class | OsiSolverInterface
class | OsiClpSolverInterface
class | OsiGrbSolverInterface

## Detailed Description

Internal class for obtaining status from the applyCuts method.

Definition at line 74 of file OsiSolverInterface.hpp.

## Constructor & Destructor Documentation

OsiSolverInterface::ApplyCutsReturnCode::ApplyCutsReturnCode | ( |  | ) | `[inline]`

Default constructor.

Definition at line 83 of file OsiSolverInterface.hpp.

OsiSolverInterface::ApplyCutsReturnCode::ApplyCutsReturnCode | ( | const ApplyCutsReturnCode & | rhs | ) | `[inline]`

Copy constructor.

Definition at line 90 of file OsiSolverInterface.hpp.

OsiSolverInterface::ApplyCutsReturnCode::~ApplyCutsReturnCode | ( |  | ) | `[inline]`

Destructor.

Definition at line 109 of file OsiSolverInterface.hpp.

## Member Function Documentation

ApplyCutsReturnCode& OsiSolverInterface::ApplyCutsReturnCode::operator= | ( | const ApplyCutsReturnCode & | rhs | ) | `[inline]`

Assignment operator.

Definition at line 97 of file OsiSolverInterface.hpp.

int OsiSolverInterface::ApplyCutsReturnCode::getNumInconsistent | ( |  | ) | const`[inline]`

Number of logically inconsistent cuts.

Definition at line 115 of file OsiSolverInterface.hpp.

int OsiSolverInterface::ApplyCutsReturnCode::getNumInconsistentWrtIntegerModel | ( |  | ) | const`[inline]`

Number of cuts inconsistent with the current model.

Definition at line 118 of file OsiSolverInterface.hpp.

int OsiSolverInterface::ApplyCutsReturnCode::getNumInfeasible | ( |  | ) | const`[inline]`

Number of cuts that cause obvious infeasibility.

Definition at line 121 of file OsiSolverInterface.hpp.

int OsiSolverInterface::ApplyCutsReturnCode::getNumIneffective | ( |  | ) | const`[inline]`

Number of redundant or ineffective cuts.

Definition at line 124 of file OsiSolverInterface.hpp.

int OsiSolverInterface::ApplyCutsReturnCode::getNumApplied | ( |  | ) | const`[inline]`

Number of cuts applied.

Definition at line 127 of file OsiSolverInterface.hpp.

void OsiSolverInterface::ApplyCutsReturnCode::incrementInternallyInconsistent | ( |  | ) | `[inline, private]`

Increment logically inconsistent cut counter.

Definition at line 135 of file OsiSolverInterface.hpp.

void OsiSolverInterface::ApplyCutsReturnCode::incrementExternallyInconsistent | ( |  | ) | `[inline, private]`

Increment model-inconsistent counter.

Definition at line 137 of file OsiSolverInterface.hpp.

void OsiSolverInterface::ApplyCutsReturnCode::incrementInfeasible | ( |  | ) | `[inline, private]`

Increment infeasible cut counter.

Definition at line 139 of file OsiSolverInterface.hpp.

void OsiSolverInterface::ApplyCutsReturnCode::incrementIneffective | ( |  | ) | `[inline, private]`

Increment ineffective cut counter.

Definition at line 141 of file OsiSolverInterface.hpp.

void OsiSolverInterface::ApplyCutsReturnCode::incrementApplied | ( |  | ) | `[inline, private]`

Increment applied cut counter.

Definition at line 143 of file OsiSolverInterface.hpp.

## Friends And Related Function Documentation

friend class OsiSolverInterface`[friend]`

Definition at line 75 of file OsiSolverInterface.hpp.

friend class OsiClpSolverInterface`[friend]`

Definition at line 76 of file OsiSolverInterface.hpp.

friend class OsiGrbSolverInterface`[friend]`

Definition at line 77 of file OsiSolverInterface.hpp.

## Member Data Documentation

int OsiSolverInterface::ApplyCutsReturnCode::intInconsistent_`[private]`

Counter for logically inconsistent cuts.

Definition at line 149 of file OsiSolverInterface.hpp.

int OsiSolverInterface::ApplyCutsReturnCode::extInconsistent_`[private]`

Counter for model-inconsistent cuts.

Definition at line 151 of file OsiSolverInterface.hpp.

int OsiSolverInterface::ApplyCutsReturnCode::infeasible_`[private]`

Counter for infeasible cuts.

Definition at line 153 of file OsiSolverInterface.hpp.

int OsiSolverInterface::ApplyCutsReturnCode::ineffective_`[private]`

Counter for ineffective cuts.

Definition at line 155 of file OsiSolverInterface.hpp.

int OsiSolverInterface::ApplyCutsReturnCode::applied_`[private]`

Counter for applied cuts.

Definition at line 157 of file OsiSolverInterface.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Osi-0.107.5/Osi/src/Osi/OsiSolverInterface.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines